package com.xmomen.module.system.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.system.entity.SysTaskHead;
import com.xmomen.module.system.entity.SysTaskHeadExample;
import org.apache.ibatis.annotations.Param;

// 定义SysTaskHeadMapper接口，继承MybatisMapper
public interface SysTaskHeadMapper extends MybatisMapper {
    // 根据条件统计SysTaskHead数量
    int countByExample(SysTaskHeadExample example);

    // 根据条件删除SysTaskHead
    int deleteByExample(SysTaskHeadExample example);

    // 插入SysTaskHead
    int insertSelective(SysTaskHead record);

    // 根据条件更新SysTaskHead
    int updateByExampleSelective(@Param("record") SysTaskHead record, @Param("example") SysTaskHeadExample example);
}